Skip to main content
`Ctrl`+`K`

# TSRHSSplitGetSNES

Returns the `SNES` (nonlinear solver) associated with a `TS` (timestepper) context when RHS splits are used.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSRHSSplitGetSNES(TS ts, SNES *snes)

Not Collective, but `snes` is parallel if `ts` is parallel

## Input Parameter

- ts - the `TS` context obtained from `TSCreate()`

## Output Parameter

- snes - the nonlinear solver context

## Note

The returned `SNES` may have a different `DM` with the `TS` `DM`.

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `SNES`, `TSCreate()`, `TSRHSSplitSetSNES()`

## Level

intermediate

## Location

src/ts/interface/tsrhssplit.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages